from django.db import models
from apps.utils.models import CommonADModel
from apps.system.models import User, File
# Create your models here.

class Project(CommonADModel):
    name = models.TextField("项目名称")
    description = models.TextField("项目介绍")
    start_date = models.DateField("开始日期")
    end_date = models.DateField("结束日期")
    leader = models.ForeignKey(User, verbose_name="项目负责人", on_delete=models.CASCADE)
    participants = models.TextField("项目成员", blank=True, null=True)
    files = models.ManyToManyField(File, verbose_name="附件", blank=True)
    note = models.TextField("备注", blank=True, null=True)
    